Irrlicht Engine: irr::gui::IGUIListBox Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::gui::IGUIListBox Class Reference

Default list box GUI element. More...

`#include <IGUIListBox.h>`

Inheritance diagram for irr::gui::IGUIListBox:

List of all members.

## Public Member Functions
virtual u32 | addItem (const wchar_t *text, s32 icon)=0
| adds an list item with an icon
virtual u32 | addItem (const wchar_t *text)=0
| adds an list item, returns id of item
virtual void | clear ()=0
| clears the list, deletes all items in the listbox
virtual void | clearItemOverrideColor (u32 index, EGUI_LISTBOX_COLOR colorType)=0
| clear item color at index for given colortype
virtual void | clearItemOverrideColor (u32 index)=0
| clear all item colors at index
virtual s32 | getIcon (u32 index) const =0
| Returns the icon of an item.
virtual u32 | getItemCount () const =0
| returns amount of list items
virtual video::SColor | getItemDefaultColor (EGUI_LISTBOX_COLOR colorType) const =0
| return the default color which is used for the given colorType
virtual video::SColor | getItemOverrideColor (u32 index, EGUI_LISTBOX_COLOR colorType) const =0
| return the overwrite color at given item index.
virtual const wchar_t * | getListItem (u32 id) const =0
| returns string of a list item. the may id be a value from 0 to itemCount-1
virtual s32 | getSelected () const =0
| returns id of selected item. returns -1 if no item is selected.
virtual bool | hasItemOverrideColor (u32 index, EGUI_LISTBOX_COLOR colorType) const =0
| has the item at index its color overwritten?
| IGUIListBox (IGUIEnvironment *environment, IGUIElement *parent, s32 id, core::rect< s32 > rectangle)
| constructor
virtual s32 | insertItem (u32 index, const wchar_t *text, s32 icon)=0
| Insert the item at the given index.
virtual bool | isAutoScrollEnabled () const =0
| returns true if automatic scrolling is enabled, false if not.
virtual void | removeItem (u32 index)=0
| Removes an item from the list.
virtual void | setAutoScrollEnabled (bool scroll)=0
| set whether the listbox should scroll to newly selected items
virtual void | setDrawBackground (bool draw)=0
| Sets whether to draw the background.
virtual void | setItem (u32 index, const wchar_t *text, s32 icon)=0
| set the item at the given index
virtual void | setItemHeight (s32 height)=0
| set global itemHeight
virtual void | setItemOverrideColor (u32 index, EGUI_LISTBOX_COLOR colorType, const video::SColor &color)=0
| set all item colors of specified type at given index to color
virtual void | setItemOverrideColor (u32 index, const video::SColor &color)=0
| set all item colors at given index to color
virtual void | setSelected (const wchar_t *item)=0
| sets the selected item. Set this to 0 if no item should be selected
virtual void | setSelected (s32 index)=0
| sets the selected item. Set this to -1 if no item should be selected
virtual void | setSpriteBank (IGUISpriteBank *bank)=0
| Sets the sprite bank which should be used to draw list icons.
virtual void | swapItems (u32 index1, u32 index2)=0
| Swap the items at the given indices.

## Detailed Description

Default list box GUI element.

Definition at line 34 of file IGUIListBox.h.

## Constructor & Destructor Documentation

irr::gui::IGUIListBox::IGUIListBox | ( | IGUIEnvironment * | environment,
|  | IGUIElement * | parent,
|  | s32 | id,
|  | core::rect< s32 > | rectangle |
| ) |  |  | `[inline]`

constructor

Definition at line 38 of file IGUIListBox.h.

## Member Function Documentation

virtual u32 irr::gui::IGUIListBox::addItem | ( | const wchar_t * | text,
|  | s32 | icon |
| ) |  |  | `[pure virtual]`

adds an list item with an icon

Parameters:

  | text | Text of list entry
  | icon | Sprite index of the Icon within the current sprite bank. Set it to -1 if you want no icon

Returns:
  The id of the new created item

virtual u32 irr::gui::IGUIListBox::addItem | ( | const wchar_t * | text | ) | `[pure virtual]`

adds an list item, returns id of item

virtual void irr::gui::IGUIListBox::clear | ( |  | ) | `[pure virtual]`

clears the list, deletes all items in the listbox

virtual void irr::gui::IGUIListBox::clearItemOverrideColor | ( | u32 | index,
|  | EGUI_LISTBOX_COLOR | colorType |
| ) |  |  | `[pure virtual]`

clear item color at index for given colortype

virtual void irr::gui::IGUIListBox::clearItemOverrideColor | ( | u32 | index | ) | `[pure virtual]`

clear all item colors at index

virtual s32 irr::gui::IGUIListBox::getIcon | ( | u32 | index | ) | const`[pure virtual]`

Returns the icon of an item.

virtual u32 irr::gui::IGUIListBox::getItemCount | ( |  | ) | const`[pure virtual]`

returns amount of list items

virtual video::SColor irr::gui::IGUIListBox::getItemDefaultColor | ( | EGUI_LISTBOX_COLOR | colorType | ) | const`[pure virtual]`

return the default color which is used for the given colorType

virtual video::SColor irr::gui::IGUIListBox::getItemOverrideColor | ( | u32 | index,
|  | EGUI_LISTBOX_COLOR | colorType |
| ) |  |  | const`[pure virtual]`

return the overwrite color at given item index.

virtual const wchar_t* irr::gui::IGUIListBox::getListItem | ( | u32 | id | ) | const`[pure virtual]`

returns string of a list item. the may id be a value from 0 to itemCount-1

virtual s32 irr::gui::IGUIListBox::getSelected | ( |  | ) | const`[pure virtual]`

returns id of selected item. returns -1 if no item is selected.

virtual bool irr::gui::IGUIListBox::hasItemOverrideColor | ( | u32 | index,
|  | EGUI_LISTBOX_COLOR | colorType |
| ) |  |  | const`[pure virtual]`

has the item at index its color overwritten?

virtual s32 irr::gui::IGUIListBox::insertItem | ( | u32 | index,
|  | const wchar_t * | text,
|  | s32 | icon |
| ) |  |  | `[pure virtual]`

Insert the item at the given index.

Returns:
  The index on success or -1 on failure.

virtual bool irr::gui::IGUIListBox::isAutoScrollEnabled | ( |  | ) | const`[pure virtual]`

returns true if automatic scrolling is enabled, false if not.

virtual void irr::gui::IGUIListBox::removeItem | ( | u32 | index | ) | `[pure virtual]`

Removes an item from the list.

virtual void irr::gui::IGUIListBox::setAutoScrollEnabled | ( | bool | scroll | ) | `[pure virtual]`

set whether the listbox should scroll to newly selected items

virtual void irr::gui::IGUIListBox::setDrawBackground | ( | bool | draw | ) | `[pure virtual]`

Sets whether to draw the background.

virtual void irr::gui::IGUIListBox::setItem | ( | u32 | index,
|  | const wchar_t * | text,
|  | s32 | icon |
| ) |  |  | `[pure virtual]`

set the item at the given index

virtual void irr::gui::IGUIListBox::setItemHeight | ( | s32 | height | ) | `[pure virtual]`

set global itemHeight

virtual void irr::gui::IGUIListBox::setItemOverrideColor | ( | u32 | index,
|  | EGUI_LISTBOX_COLOR | colorType,
|  | const video::SColor & | color |
| ) |  |  | `[pure virtual]`

set all item colors of specified type at given index to color

virtual void irr::gui::IGUIListBox::setItemOverrideColor | ( | u32 | index,
|  | const video::SColor & | color |
| ) |  |  | `[pure virtual]`

set all item colors at given index to color

virtual void irr::gui::IGUIListBox::setSelected | ( | const wchar_t * | item | ) | `[pure virtual]`

sets the selected item. Set this to 0 if no item should be selected

virtual void irr::gui::IGUIListBox::setSelected | ( | s32 | index | ) | `[pure virtual]`

sets the selected item. Set this to -1 if no item should be selected

virtual void irr::gui::IGUIListBox::setSpriteBank | ( | IGUISpriteBank * | bank | ) | `[pure virtual]`

Sets the sprite bank which should be used to draw list icons.

This font is set to the sprite bank of the built-in-font by default. A sprite can be displayed in front of every list item. An icon is an index within the icon sprite bank. Several default icons are available in the skin through getIcon.

virtual void irr::gui::IGUIListBox::swapItems | ( | u32 | index1,
|  | u32 | index2 |
| ) |  |  | `[pure virtual]`

Swap the items at the given indices.

The documentation for this class was generated from the following file:

- IGUIListBox.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:04 2010 by Doxygen (1.6.2)